# Compaq TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents | Index

# LOOP

> Sends ICMP ECHO packets to hosts to determine whether they are active. Same as the PING command.

## Format

> LOOP [ host ]
> [ /ADDRESS=xx.xx.xx.xx ]
> [ /ALL ]
> [ /FULL ]
> [ /NUMBER_PACKETS=n ]
> [ /PACKET_SIZE=n ]
> [ /PATTERN="hexadecimal-string" ]
> [ /[NO]ROUTE ]
> [ /WAIT=n ]

## Parameters

> ### host

> Optional. Default: None.

> Specifies the host to which the test packets are sent. Omitting the host parameter and the /ADDRESS qualifier tests the TCP/IP Services software on the local node, as defined by the system logical TCPIP$INET_HOST.

## Qualifiers

> ### /ADDRESS=xx.xx.xx.xx

> Optional.

> Specifies the IP address of the host to which the test packets are sent.

> ### /ALL

> Optional. Default: Not all requests.

> Displays all ICMP ECHO_REQUESTs, even if not in direct response to this operation.

> ### /FULL

> Optional.

> Numeric output only. No attempt is made to look up symbolic names for host addresses. This occurs only when displaying ICMP packets other than ECHO_RESPONSE.

> ### /NUMBER_PACKETS=n

> Optional. Default: 4 packets

> Specifies the number of packets to send. If you specify 0, packets are sent continuously until you terminate the LOOP command with Ctrl/C.

> ### /PACKET_SIZE=n

> Optional. Default: 64 bytes.

> Specifies the size of the ICMP ECHO_REQUEST.

> ### /PATTERN=hexadecimal-string

> Optional.

> Fills out the packet you send with up to 16 bytes, which is useful for diagnosing data-dependent problems. The hexadecimal-string is a string of hexadecimal digits of up to 32 characters (16 bytes).

> For example, /PATTERN="ff" causes the sent packet to be filled with ones (1).

> ### /ROUTE

> ### /NOROUTE

> Optional. Default: /ROUTE.

> /ROUTE | Request is routed through the normal routing tables.
> /NOROUTE | Normal routing tables are bypassed. If the host is not on the LAN, you get an error.

> ### /WAIT=n

> Optional.

> Specifies the number of seconds to wait between sending packets.

##

### Examples

#1
    TCPIP> LOOP thrush

> Tests the connectivity path to UNIX host `thrush` .

#2
    TCPIP> LOOP

> Tests the local TCP/IP Services software.

#3
    TCPIP> LOOP /NOROUTE thrush

> Tests the path to the UNIX host `thrush` without using normal routing tables.

# MAP

> Maps (logically links) one of the following to the NFS server:
> - OpenVMS disk --- Requires one execution of MAP to map the disk to a UNIX path name.
> - Container file system --- Requires two executions of MAP. The first maps the disk, and the second maps the file system.

> Mapping creates a logical file system, also called an NFS file system. A logical file system (with an entry in the export database) is accessible to NFS client users for mounting.

> To make a file system available on all nodes of a cluster, map it on each node.

> Mapping is one step in the tasks necessary to give remote users access to a file system that physically resides on an OpenVMS host running an NFS server:

> 1. Map the file system.
> 2. Export the file system (add an entry in the export database).
> 3. Give potential users entries in the proxy database.

> MAP settings are not permanent. To map file systems in the permanent configuration database, issue SET CONFIGURATION [NO]MAP.

> Related commands: ADD EXPORT, SHOW EXPORT, REMOVE EXPORT, SET CONFIGURATION MAP, SET CONFIGURATION NOMAP, SHOW MAP, SHOW CONFIGURATION MAP, UNMAP

## Format

> MAP "file system name" logical_file_system

### restrictions

> Requires SYSPRV and BYPASS privileges.

## Parameters

> ### "file system name"

> Required.

> Specifies the name for the file system or disk. In the case of mapping a disk, the "/path" can be only one level from the root. This parameter specifies the name by which users will access the file system.

> ### logical_file_system

> Required.

> Specifies the file system to make known to the NFS server.

> To map an OpenVMS file system, specify its disk:

>     MAP "/disk" disk:

> To map a container file system, specify the disk and the directory name:

>     TCPIP> MAP
>     "/container_name" disk:[vms.directory.name]

##

### Examples

#1
    TCPIP>  (TCPIP>)MAP "/usr" CANARY$DUA2:

> Maps local disk CANARY$DUA2: to `/usr` . This disk can be exported as `/usr` to users on remote NFS clients.

#2
    TCPIP> MAP "/remote" VERDIN$DUA3:
    TCPIP> MAP "/flyers" VERDIN$DUA3:[UNIX_BIRD_FILES]

> Maps [UNIX_BIRD_FILES], a container file system on disk VERDIN$DUA3:, to `/flyers` . This file system can be exported as `/flyers` to NFS server users. (The first MAP command maps the underlying OpenVMS file system.)

# MOUNT

> Makes a physically remote file system accessible to local users.

> Applies to: NFS client

> Mounts a remote directory to local device DNFSn:. Similar in function to the UNIX `/etc/mount` command, MOUNT gives a file system a UNIX path name. (In format and style, MOUNT resembles the DCL command MOUNT.)

> You can mount either OpenVMS or UNIX file systems.

> Related commands: DISMOUNT, SHOW MOUNT

## Format

> MOUNT mount_point [ volume_label ] [ logical_name ]
> [ /HOST=host ]
> [ /PATH="/path/name" ]
> [ /ACP_PARAMS=options ]
> [ /[NO]ADF[=option] ]
> [ /AUTOMOUNT[=INACTIVITY:time] ]
> [ /BACKGROUND[=options] ]
> [ /CACHE_TIMEOUT[=options] ]
> [ /[NO]CONVERT ]
> [ /DATA=[options] ]
> [ /FILEIDS[=options] ]
> [ /[NO]FORCE ]
> [ /GID=gid ]
> [ /GROUP ]
> [ /OWNER_UIC=n ]
> [ /PROCESSOR=acp_option ]
> [ /PROTECTION=protections ]
> [ /RETRIES=n ]
> [ /SERVER_TYPE=type ]
> [ /SHARE ]
> [ /[NO]SUPERUSER=uid ]
> [ /SYSTEM ]
> [ /TIMEOUT=OpenVMS_delta_time ]
> [ /UID=uid ]
> [ /USER=user ]
> [ /[NO]WRITE ]

### restrictions and tips

> If you mount remote OpenVMS directories where the NFS server is running TCP/IP Services software, use the /NOADF qualifier on the MOUNT command line unless you are using the OpenVMS-to-OpenVMS integration feature.

> The /NOADF requirement applies only if the remote NFS server is running versions of TCP/IP Services earlier than Version 3.3 and cannot participate in OpenVMS-to-OpenVMS mode operation. Other tips include:

> - Required order of command keywords: the MOUNT keyword, immediately followed by mount_point. Example: MOUNT DNFS01:
> - For the qualifiers that require a time value, specify OpenVMS delta time.
> - Whenever you specify multiple options and values, use the following syntax:
>   /qualifier=(option_a:value1,option_b:value2,value3)

## Parameters

> ### mount_point

> Required.

> Local device (and optional directory tree) on which to mount the remote NFS file system. Specify this mount point as one of the following:

>     DNFSn:
>     DNFSn:[dir.subdir]
>     DNFSn:[dir.subdir]file

> where:

> n | Specifies the unit number. Specify a value from 0 to 9999. Specifying 0 causes the client to choose the next available unit number. (It does not mount a device named DNFS0:.)
> [ dir] or [ dir.subdir] | Specifies the directory to mount (up to eight subdirectories in addition to the [000000] directory).
> file | Specifies the individual file to mount.

> Note Type the device name (mount_point) immediately after the keyword MOUNT.

> ### volume_label

> Optional. Default: First 12 characters of the combined values of the /HOST and /PATH qualifiers.

> Specifies the ODS-2 volume label used for the remote path name.
> You can use this qualifier to provide a unique volume label on a system where there is a label conflict. The client does the following:

> - Accepts only the first 12 characters for all other entries.
> - Applies volume_label only on the first mount of a particular disk.
> - Ignores volume_label with subsequent mounts on that disk.

> ### logical_name

> Optional. Default: None.

> Specifies the logical name associated with the volume.

> The client creates the following logical definitions, depending on what you specify:

> - If you mount DNFSn:[000000], the client defines the logical name as DNFSn:
> - If you mount DNFSn:[dir.dir], the client defines the logical name as DNFSn:[dir.dir.] The extra dot allows for relative directory specifications. If you issue the following command:

>       $ SET DEFAULT logical:[subdir]

>   The full default definition becomes:

>       DNFSn:[dir.dir.subdir]

> The client places the logical name in the SYSTEM logical name table, unless you specify the /GROUP or /SHARE qualifier. The client deletes the logical name from the SYSTEM table when you dismount the volume. The process must have SYSNAM privilege to mount a system mount point. Without SYSNAM or GRPNAM privilege, the user must specify /SHARE for a JOB mount. (See the /SHARE qualifier for more information.)

## Qualifiers

> ### /ACP_PARAMS=
> { BUFFER_LIMIT=n | DUMP | IO_DIRECT=n | IO_BUFFERED=n | MAX_WORKSET=pages | PAGE_FILE=file | PRIORITY=base-priority | WORKSET=pages }

> Optional.

> Specifies modifiable process parameters for the ancillary control process (ACP).

> These parameters are dynamic. The NFS client applies your settings at each first start of an ACP.

> For descriptions of these options, see the section on RUN (PROCESS) in the OpenVMS DCL Dictionary.

> ### /ADF=CREATE

> ### /NOADF

> Optional. Default: /ADF=CREATE.

> If attributes data files (ADFs) exist on the NFS server, the /ADF qualifier lets you use them.

> The server uses ADFs to store OpenVMS file attributes. These files appear on the server as `.$ADF$file` files, but you cannot view them directly on the local client system.

> The option is:

> - CREATE
>   The client uses and updates the ADFs, and creates ADFs for new files.

> /NOADF --- No ADFs are created or used.

> ### /AUTOMOUNT[=INACTIVITY:time]

> Optional. Defaults:
> - If you omit this qualifier, automounting is not enabled for this file system.
> - If you include the /AUTOMOUNT qualifier but omit the INACTIVITY keyword, file systems are automatically dismounted after five minutes of inactivity.

> This qualifier enables automounting for the file system. The file system is automatically mounted when you access its path name.

> You can include the optional INACTIVITY keyword to specify the number of minutes of inactivity before automatically dismounting the file system. Be sure to specify the time as hh:mm:ss. When this inactive period expires, the NFS client dismounts the path name.

> ### /BACKGROUND [= {DELAY:OpenVMS_delta_time | RETRY:n}]

> Optional. Defaults:
> - If you omit this qualifier, background mode mounting is not attempted.
> - If you omit the DELAY keyword, background mode mounting is set up with /BACKGROUND=(DELAY:00:00:30,RETRY:10).

> This qualifier enables background mode for mounting the file system.

> The optional DELAY time specifies amount of time to wait if the mount attempt fails before trying again. Specify the time as hh:mm:ss. The maximum delay period you can specify is approximately 49 days. The default delay time is 30 seconds.

> The optional RETRY keyword specifies the number of times to repeat the attempt to mount the file system. RETRY:0 means that the client uses the first try only. The default number of times to retry is 10.

> If you use the /BACKGROUND qualifier, you must also use the /RETRIES qualifier and specify a nonzero value. For example:

>     $ TCPIP MOUNT DNFS0: /BACKGROUND=RETRY:9 /RETRIES=4 /HOST="robin" -
>     _$  /PATH="/USR/USERS/GEORGE"

> In this example, you are asking for four data retries on each mount attempt and nine mount attempts, for a total of 36 tries. If you use the default value for /RETRIES, the first mount attempt can never complete except by succeeding, and the process doing the mount will hang until the server becomes available.

> ### /CACHE_TIMEOUT=
> [ DIRECTORY:OpenVMS_delta_time ] [ ATTRIBUTE:OpenVMS_delta_time ] [ READ_DIRECTORY ]

> Optional. Defaults:

> If you omit this qualifiier, the file system is set up with caching timeouts as follows:

>     /CACHE_TIMEOUT=(DIRECTORY:00:00:30,ATTRIBUTE:00:00:15)

> Specifies the following caching timeout information for the mount point:

> - DIRECTORY:OpenVMS_delta_time
>   - Amount of time that the client waits between rereading a directory's status or contents.
>   - Specify OpenVMS_delta_time as hh:mm:ss.
> - ATTRIBUTE:OpenVMS_delta_time
>   - Amount of time that the client waits between rereading a file's attributes from the NFS server.
>   - Specify OpenVMS_delta_time as hh:mm:ss.
> - READ_DIRECTORY
>   - Forces the client to read the contents of the directory requested when the cache timeout occurs rather than rely on the directory's modified time.
>   - By reading the directory contents, the client can be aware of any changes to the number of files within the directory, even if the directory's modify time was not updated.

> ### /CONVERT

> ### /NOCONVERT

> Optional. Default: /CONVERT.

> Converts files with the following attributes to STREAM_LF files:

> - Sequential
> - Variable length
> - Carriage return/carriage control (VAR-CR)

> The convert feature works with some utilities and DCL commands but not with others. For example, it works with the CREATE command and with EDIT/TPU, but it does not work with COPY, BACKUP, or EDIT/EDT. There is no simple way to identify what works. However, for the feature to take effect, the following conditions must be satisfied:

> - The file attributes must be sequential, variable length, and carriage return/carriage control.
> - The file must be opened for exclusive write access (generally true for newly created files).
> - The file must be opened with the FAB$M_SQO bit set in the FAB$L_FOP field.
> - The file creation and the open for write must be done in one step. That is, if the program first creates the file and afterward opens it for write, the convert feature does not work.

> You can convert only those files that were opened using RMS sequential access. For additional information, see the Compaq TCP/IP Services for OpenVMS Management manual.

> ### /DATA [= {read_bytes | write_bytes}]

> Optional. Default: /DATA=(8192,8192).

> Largest amount of NFS data received or transmitted in one network operation. The options mean:

> - read_bytes --- Data received. Minimum value = 512.
> - write_bytes --- Data transmitted. Minimum value = 512.

> If you specify only one value, it applies to both READ and WRITE.

> You do not need to use /DATA unless a remote NFS server imposes a restriction on data size. If the server requests a smaller transfer size than you specified, the server's requested value overrides the one you set.

> ### /FILEIDS [= {UNIQUE | NONUNIQUE}]

> Optional. Default: /FILEIDS=UNIQUE.

> With UNIQUE, the client uses the file name and 32-bit NFS file ID when processing the directory information returned by the server to determine whether cached information is valid.

> With NONUNIQUE, the client uses the file handle instead of the file ID. This can refresh directory entries in the client's cache more quickly. However, this can degrade performance because the client must issue additional RPC requests to get the file handle.

> ### /FORCE

> ### /NOFORCE

> Optional. Default: /NOFORCE.

> Performs an overmount or a mount that can cause file system occlusion.

> Required privileges:

> - OPER
> - SYSPRV (for overmounting a /SYSTEM mount)
> - GRPNAM (for overmounting a /GROUP mount)

> ### /GID=n

> Optional. Default: --2.

> Default GID if no GID mapping exists for file access.

> Restriction: Requires OPER privilege.

> ### /GROUP

> Optional. Default: User mounted.

> Adds the logical name to the group logical name table. If the mount is the first one on the volume, /GROUP marks the volume as being group-mounted.

> Restrictions:

> - Requires GRPNAM privilege.
> - /GROUP and /SYSTEM are mutually exclusive.

> ### /HOST=host

> Required.

> Remote NFS server on which the physical files reside. Type either domain-name or IP-address format.

> ### /OWNER_UIC=n

> Optional. Default: Ownership recorded on the volume.

> UIC-assigned ownership of the volume while you mount it.

> Applied only on the first mount of an NFS disk.

> ### /PATH="/path/name"

> Required.

> Path name on the NFS server (specified by /HOST). Must match an exported directory, subdirectory, or file of an exported file system on the server.

> The /path/name is mounted as the master file directory (MFD) of the specified device.

> ### /PROCESSOR= {UNIQUE | SAME:DNFSn: | FILE:file}

> Optional. Default: New ACP for each mount.

> Associates an ancillary control process (ACP) to process the volume, overriding the default manner in which the client associates ACPs with NFS devices (starting a new ACP for each mount request). The options are:

> - UNIQUE
>   - Creates a new ACP for the new NFS device.
>   - Requires OPER privilege.
> - SAME:DNFSn:
>   - Uses the same ACP as the specified device.
>   - Requires OPER privilege.
> - FILE:file
>   - Creates a new ACP running the image specified by file. Do not use wildcards, host names, or directory names.
>   - Requires CMKRNL or OPER privilege.

> ### /PROTECTION=protections

> Optional. Default: /PROTECTION=(S:RWED,O:RWED,G:RWED,W:RWED).

> Protection code for the volume. If you omit a category, the client denies access to that category of user.

> Applied only on the first mount of an NFS device and ignored with subsequent mounts on that device.

> Restrictions: Requires OPER privilege.

> ### /RETRIES=n

> Optional. Default: /RETRIES=0 (the client retries the request forever or until the server responds).

> Maximum number of read or write retries if the NFS server fails to respond.

> /RETRIES=0 is a close equivalent to a UNIX hard mount. If you attempt to abort a command or program while it is still retrying the I/O operation on a client device, the process enters RWAST state and remains in that state until the NFS server responds. A process in RWAST state cannot be terminated. If the server does not become available, the only way remove the process without rebooting the client host is to dismount the client device with the /ALL qualifier.

> ### /SERVER_TYPE=type

> Optional. Default: UNIX.

> Operating system of the host running NFS server. The values for type are:

> - UNIX
> - IBM_VM

> If the server is TCP/IP Services Version 3.3 or later, this qualifier is ignored because the client and server always operate in OpenVMS-to-OpenVMS mode.

> ### /SHARE

> Places the logical name in the job logical name table and increments the volume mount count regardless of the number of job mounts. When the job logs out, all job mounts are dismounted, causing the volume mount count to be decremented. See the Compaq TCP/IP Services for OpenVMS Management manual for more information.

> ### /SUPERUSER=uid

> ### /NOSUPERUSER

> Optional. Default: /NOSUPERUSER.

> Maps users with SYSPRV, BYPASS, or READALL privileges to the superuser UID. The NFS server must allow superuser access.

> The normal superuser UID is 0.

> /NOSUPERUSER: No mapping.

> ### /SYSTEM

> Optional. Default: System mounted.

> Places the logical name in the system logical name table unless you specify the /GROUP or /SHARE qualifier. The client deletes the logical name from the system table when you dismount the volume.

> Restrictions:

> - Requires SYSNAM privilege.
> - The /GROUP, /SYSTEM, and /SHARE qualifiers are mutually exclusive.
> - Without SYSNAM or GRPNAM privilege, you must use /SHARE for a job mount.

> ### /TIMEOUT=OpenVMS_delta_time

> Optional. Default: ::01 (1 second).

> Minimum timeout period for initial remote procedure call (RPC) request retransmissions.

> Specify the timeout period as your estimate of the typical round-trip time for RPC requests. For slower-speed links --- for example, NFS traffic over SLIP --- specify a value that is larger than the default.

> Example: For a maximum read/write size of 8192 (see the /DATA qualifier) over a 19,200-baud SLIP line, set the absolute minimum timeout value as follows:

>     10240 bytes*8 bits per byte
>     --------------------------- = 4.27 seconds
>        19,200 bits per second

> Here, the 10240 bytes is 8192 data bytes plus the worst-case RPC overhead. Because 4.27 seconds is the absolute minimum, a more realistic value for this link is 15 to 30 seconds to allow for other traffic.

> ### /UID=n

> Optional. Default: --2.

> Default UID if no UID mapping exists for file access.

> Restriction: Requires OPER privilege.

> Both the NFS server and NFS client use the proxy database for access control. Compaq strongly recommends that you provide a proxy with a unique UID for every NFS client user.

> If you need to provide universal access to world-readable files, you can use the default UID to avoid creating a proxy for every NFS client user. You should avoid using the default UID if clients require additional file access; otherwise, client users may see unpredictable and confusing results when they try to create files. See the Compaq TCP/IP Services for OpenVMS Management manual for a detailed discussion about using proxies, the default user, and security considerations.

> ### /USER=user

> Optional. Default: USER account.

> Existing OpenVMS account to which the NFS client maps unknown UIDs.

> If the client does not find the USER account, the DECnet account becomes the default. If the client does not find the DECnet account, [200,200] becomes the default.

> ### /WRITE

> ### /NOWRITE

> Optional. Default: /WRITE.

> Mounts files with WRITE privilege.

> /NOWRITE mounts files as read only.

##

### Examples

#1
    TCPIP> MOUNT DNFS2: /HOST="loon" /PATH="/usr/users/curlew"

> Mounts, on local device DNFS2:, the remote directory `/usr/users/curlew` , which resides on NFS server `loon` .

#2
    TCPIP> MOUNT DNFS3: /HOST="sigma" -
    _TCPIP> /PATH="/usr" /AUTO=(INACT:00:10:00)

> Previous | Next | Contents | Index